.ad-height {
  height: 100%;
}

.height-block {
  height: 400px;
}
.color-block {
  background-color: #ccc;
}
.width-block {
  width: 500px;
}

.padding-horz {
  padding: 0 20px;
}

.padding-ver {
  padding: 20px 0;
}
.border-radius {
  border-radius: 20px;
}

.center-ver {
  align-items: center;
}
.center-horz {
  justify-content: center;
}

.flex-end {
  justify-content: flex-end;
}

.height-ele {
  height: 30px;
}

.fix-nav {
  height: 60px;
}
.height-card {
  height: 300px;
}

.width-card {
  width: 1000px;
}

.table-header {
  display: flex;
  flex-direction: column;
  height: 100px;
  align-items: center;
}

.custom-box {
  width: 1000px;
  border: 1px solid #ccc;
  border-radius: 10px;
  display: flex;
  justify-content: center;
}
.fix-content {
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
  max-width: 80%;
  display: block;
  font-weight: 400;
  font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande',
    'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

span > a {
  text-decoration: none;
}

.gap {
  gap: 3px;
}
.custom-pagination {
  width: 100%;
  display: flex;
  justify-content: flex-end;
}
.page-item {
  cursor: pointer;
}

.padding-row {
  padding: 5px 0;
}
.bt-cl {
  background-color: rgb(91, 91, 249);
}
.bt-custom-control:focus {
  background-color: rgb(111, 111, 253) !important;
  box-shadow: none !important;
}

.success-color {
  background-color: rgb(118, 221, 118) !important;
}
.fail-color {
  background-color: rgb(250, 110, 110) !important;
}

.sub-nav-container {
  display: flex;
  justify-content: flex-end;
  padding-right: 50px;
}
.height-card-header {
  height: 50px;
}

.bt-find {
  color: #fff;
  width: 100px;
  background-color: rgb(91, 91, 249);
  border: none;
  font-weight: 500;
}
.input-find {
  font-weight: 500;
}
.bt-find:hover {
  cursor: pointer;
  background-color: rgb(137, 137, 246);
}

.tree {
  display: flex;
  justify-content: center;
  align-items: center;
}
.tree ul {
  padding-top: 20px;
  position: relative;

  transition: all 0.5s;
  -webkit-transition: all 0.5s;
  -moz-transition: all 0.5s;
}

.tree li {
  float: left;
  text-align: center;
  list-style-type: none;
  position: relative;
  padding: 20px 5px 0 5px;

  transition: all 0.5s;
  -webkit-transition: all 0.5s;
  -moz-transition: all 0.5s;
}

.tree li::before,
.tree li::after {
  content: '';
  position: absolute;
  top: 0;
  right: 50%;
  border-top: 1px solid #ccc;
  width: 50%;
  height: 20px;
}
.tree li::after {
  right: auto;
  left: 50%;
  border-left: 1px solid #ccc;
}

.tree li:only-child::after,
.tree li:only-child::before {
  display: none;
}

.tree li:only-child {
  padding-top: 0;
}

.tree li:first-child::before,
.tree li:last-child::after {
  border: 0 none;
}
.tree li:last-child::before {
  border-right: 1px solid #ccc;
  border-radius: 0 5px 0 0;
  -webkit-border-radius: 0 5px 0 0;
  -moz-border-radius: 0 5px 0 0;
}
.tree li:first-child::after {
  border-radius: 5px 0 0 0;
  -webkit-border-radius: 5px 0 0 0;
  -moz-border-radius: 5px 0 0 0;
}
.tree ul ul::before {
  content: '';
  position: absolute;
  top: 0;
  left: 50%;
  border-left: 1px solid #ccc;
  width: 0;
  height: 20px;
}

.tree li div {
  border: 1px solid #ccc;
  padding: 5px 10px;
  text-decoration: none;
  color: #666;
  font-family: arial, verdana, tahoma;
  font-size: 11px;
  display: inline-block;

  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;

  transition: all 0.5s;
  -webkit-transition: all 0.5s;
  -moz-transition: all 0.5s;
}
.tree li div:hover,
.tree li div:hover + ul li div {
  background: #c8e4f8;
  color: #000;
  border: 1px solid #94a0b4;
}
.tree li div:hover + ul li::after,
.tree li div:hover + ul li::before,
.tree li div:hover + ul::before,
.tree li div:hover + ul ul::before {
  border-color: #94a0b4;
}

.custom-text {
  align-items: center;
  display: flex;
  justify-content: flex-start;
  padding: 10px 40px;
}

.node-root {
  position: relative;
}
.node-root:hover::before {
  display: block;
}
.node-root::before {
  content: attr(data-tooltip);
  display: none;
  position: absolute;
  top: -30px;
  left: 50%;
  transform: translateX(-50%);
  padding: 5px 10px;
  background-color: #333;
  color: white;
  font-size: 14px;
  border-radius: 4px;
  white-space: nowrap;
}

.custom-nav {
  z-index: 100;
}

.limit-text {
}
